Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049202 (ghc-syb) - Review Request: ghc-syb - Scrap Your Boilerplate
Summary: Review Request: ghc-syb - Scrap Your Boilerplate
Keywords:
Status: CLOSED ERRATA
Alias: ghc-syb
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 08:22 UTC by Jens Petersen
Modified: 2014-05-05 03:12 UTC (History)
3 users (show)

Fixed In Version: ghc-syb-0.4.0-35.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-02 20:59:28 UTC
Type: ---
relrod: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2014-01-07 08:22:19 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-syb.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-syb-0.4.0-29.fc18.src.rpm

Description:
This package contains the generics system described in the "Scrap Your
Boilerplate" papers (see <http://www.cs.uu.nl/wiki/GenericProgramming/SYB>).
It defines the Data class of types permitting folding and unfolding of
constructor applications, instances of this class for primitive types, and
a variety of traversals.

Comment 1 Jens Petersen 2014-01-07 08:22:27 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6368303

Comment 2 Jens Petersen 2014-01-07 08:33:08 UTC
This is a re-review to move the syb library out of haskell-platform.
The original review is bug 657142.

syb has about 26 reverse deps in Fedora and over 200 on Hackage.
http://packdeps.haskellers.com/reverse/syb

Latest upstream version 0.4.1 will be in the next version of Haskell Platform
so holding at 0.4.0 until then.

Comment 3 Rick Elrod 2014-04-18 06:40:42 UTC
APPROVED. Review follows.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/ghc-syb
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

(Will be resolved on import)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 614400 bytes in 80 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-syb-0.4.0-29.fc20.x86_64.rpm
          ghc-syb-devel-0.4.0-29.fc20.x86_64.rpm
          ghc-syb-0.4.0-29.fc20.src.rpm
ghc-syb.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-syb.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-syb.x86_64: W: spelling-error %description -l en_US uu -> u, usu, us
ghc-syb.x86_64: W: spelling-error %description -l en_US nl -> bl, ml, n
ghc-syb.src: W: spelling-error %description -l en_US http -> HTTP
ghc-syb.src: W: spelling-error %description -l en_US www -> WWW, wow
ghc-syb.src: W: spelling-error %description -l en_US uu -> u, usu, us
ghc-syb.src: W: spelling-error %description -l en_US nl -> bl, ml, n
ghc-syb.src: W: strange-permission syb-0.4.0.tar.gz 0444L
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-syb-devel ghc-syb
ghc-syb.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-syb.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-syb.x86_64: W: spelling-error %description -l en_US uu -> u, usu, us
ghc-syb.x86_64: W: spelling-error %description -l en_US nl -> bl, ml, n
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-syb-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-syb(x86-64)

ghc-syb (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-syb-devel:
    ghc-devel(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc-syb-devel
    ghc-syb-devel(x86-64)
    ghc-syb-static

ghc-syb:
    ghc(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc-syb
    ghc-syb(x86-64)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-syb: /usr/lib64/ghc-7.6.3/syb-0.4.0/libHSsyb-0.4.0-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/syb/0.4.0/syb-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : f201089aa7e74b6cbca7fc73a259596b2a9628e31a9b54e801844ad68447bff3
  CHECKSUM(SHA256) upstream package : f201089aa7e74b6cbca7fc73a259596b2a9628e31a9b54e801844ad68447bff3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b ghc-syb
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Jens Petersen 2014-04-18 07:04:18 UTC
Thank you Ricky


Package Change Request
======================
Package Name: ghc-syb
New Branches: devel f20 f19 
Owners: petersen codeblock
InitialCC: haskell-sig

Comment 5 Gwyn Ciesla 2014-04-18 11:44:31 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-04-21 05:53:43 UTC
ghc-async-2.0.1.4-30.fc20, ghc-html-1.0.1.2-28.fc20, ghc-HTTP-4000.2.8-32.fc20, ghc-HUnit-1.2.5.2-31.fc20, ghc-network-2.4.1.2-31.fc20, ghc-parsec-3.1.3-30.fc20, ghc-QuickCheck-2.6-32.fc20, ghc-regex-base-0.93.2-28.fc20, ghc-regex-posix-0.95.2-29.fc20, ghc-transformers-0.3.0.0-33.fc20, haskell-platform-2013.2.0.0-33.fc20, alex-3.0.5-36.fc20, cabal-install-1.16.0.2-34.fc20, ghc-parallel-3.2.0.3-34.fc20, ghc-regex-compat-0.95.1-34.fc20, ghc-syb-0.4.0-35.fc20, happy-1.18.10-34.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-4579/alex-3.0.5-36.fc20,cabal-install-1.16.0.2-34.fc20,ghc-async-2.0.1.4-30.fc20,ghc-html-1.0.1.2-28.fc20,ghc-HTTP-4000.2.8-32.fc20,ghc-HUnit-1.2.5.2-31.fc20,ghc-network-2.4.1.2-31.fc20,ghc-parsec-3.1.3-30.fc20,ghc-QuickCheck-2.6-32.fc20,ghc-parallel-3.2.0.3-34.fc20,ghc-regex-base-0.93.2-28.fc20,ghc-regex-compat-0.95.1-34.fc20,ghc-regex-posix-0.95.2-29.fc20,ghc-syb-0.4.0-35.fc20,ghc-transformers-0.3.0.0-33.fc20,happy-1.18.10-34.fc20,haskell-platform-2013.2.0.0-33.fc20

Comment 7 Fedora Update System 2014-04-22 04:00:52 UTC
Package ghc-async-2.0.1.4-30.fc20, ghc-html-1.0.1.2-28.fc20, ghc-HTTP-4000.2.8-32.fc20, ghc-HUnit-1.2.5.2-31.fc20, ghc-network-2.4.1.2-31.fc20, ghc-parsec-3.1.3-30.fc20, ghc-QuickCheck-2.6-32.fc20, ghc-regex-base-0.93.2-28.fc20, ghc-regex-posix-0.95.2-29.fc20, ghc-transformers-0.3.0.0-33.fc20, alex-3.0.5-36.fc20, cabal-install-1.16.0.2-34.fc20, ghc-parallel-3.2.0.3-34.fc20, ghc-regex-compat-0.95.1-34.fc20, ghc-syb-0.4.0-35.fc20, happy-1.18.10-34.fc20, haskell-platform-2013.2.0.0-36.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-async-2.0.1.4-30.fc20 ghc-html-1.0.1.2-28.fc20 ghc-HTTP-4000.2.8-32.fc20 ghc-HUnit-1.2.5.2-31.fc20 ghc-network-2.4.1.2-31.fc20 ghc-parsec-3.1.3-30.fc20 ghc-QuickCheck-2.6-32.fc20 ghc-regex-base-0.93.2-28.fc20 ghc-regex-posix-0.95.2-29.fc20 ghc-transformers-0.3.0.0-33.fc20 alex-3.0.5-36.fc20 cabal-install-1.16.0.2-34.fc20 ghc-parallel-3.2.0.3-34.fc20 ghc-regex-compat-0.95.1-34.fc20 ghc-syb-0.4.0-35.fc20 happy-1.18.10-34.fc20 haskell-platform-2013.2.0.0-36.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4579/alex-3.0.5-36.fc20,cabal-install-1.16.0.2-34.fc20,ghc-async-2.0.1.4-30.fc20,ghc-html-1.0.1.2-28.fc20,ghc-HTTP-4000.2.8-32.fc20,ghc-HUnit-1.2.5.2-31.fc20,ghc-network-2.4.1.2-31.fc20,ghc-parsec-3.1.3-30.fc20,ghc-QuickCheck-2.6-32.fc20,ghc-parallel-3.2.0.3-34.fc20,ghc-regex-base-0.93.2-28.fc20,ghc-regex-compat-0.95.1-34.fc20,ghc-regex-posix-0.95.2-29.fc20,ghc-syb-0.4.0-35.fc20,ghc-transformers-0.3.0.0-33.fc20,happy-1.18.10-34.fc20,haskell-platform-2013.2.0.0-36.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-05-02 20:59:28 UTC
ghc-async-2.0.1.4-30.fc20, ghc-html-1.0.1.2-28.fc20, ghc-HTTP-4000.2.8-32.fc20, ghc-HUnit-1.2.5.2-31.fc20, ghc-network-2.4.1.2-31.fc20, ghc-parsec-3.1.3-30.fc20, ghc-QuickCheck-2.6-32.fc20, ghc-regex-base-0.93.2-28.fc20, ghc-regex-posix-0.95.2-29.fc20, ghc-transformers-0.3.0.0-33.fc20, alex-3.0.5-36.fc20, cabal-install-1.16.0.2-34.fc20, ghc-parallel-3.2.0.3-34.fc20, ghc-regex-compat-0.95.1-34.fc20, ghc-syb-0.4.0-35.fc20, happy-1.18.10-34.fc20, haskell-platform-2013.2.0.0-36.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.